/*
 *
 * videogen by Szabolcs Rumi (c) 1997-2001
 *
 * here you can configure some compile-time defaults
 * only modify these if you are sure you know what
 * you are doing.
 *
 */





/*
 * Define this to get out some debug information
 *
 * default: undefined
 */
#undef CFG_DEBUG

/*
 * The version number reported by the program. This should not be bothered...
 */
#define CFG_VIDEOGEN_VERSION "0.21"





/*
 * visible resolution aspect ratio
 * default: 3/4
 */
#define CFG_ASPECT_RATIO 0.75

/*
 * how many percents of horizontal frame length is visible
 * default: 0.8 (80%)
 */
#define CFG_HORIZONTAL_VISIBLE 0.8

/*
 * how many percents of vertical frame length is visible
 * default: 0.95 (95%)
 */
#define CFG_VERTICAL_VISIBLE 0.95





/*
 * horizontal front porch interval (ticks, must be n*8)
 */
#define CFG_HORIZONTAL_FRONT_PORCH 32

/*
 * horizontal back porch interval (ticks, must be n*8)
 */
#define CFG_HORIZONTAL_BACK_PORCH 32

/*
 * vertical front porch interval (ticks)
 */
#define CFG_VERTICAL_FRONT_PORCH 2

/*
 * vertical back porch interval (ticks)
 */
#define CFG_VERTICAL_BACK_PORCH 2

/*
 * how many percents of vertical frame length is visible
 * default: 0.95 (95%)
 */
#define CFG_VERTICAL_VISIBLE 0.95

/*
 * default horizontal sync pulse duration (usec)
 * default: 2
 */
#define CFG_HORIZONTAL_SYNC_PULSE 2

/*
 * default limits for hardware parameters
 *
 */
#define CFG_WIDTH_MIN	320
#define CFG_WIDTH_MAX	4096
#define CFG_HEIGHT_MIN	200
#define CFG_HEIGHT_MAX	3072
#define CFG_CLK_MIN	5
#define CFG_CLK_MAX	500
#define CFG_HFREQ_MIN	30
#define CFG_HFREQ_MAX	200
#define CFG_VFREQ_MIN	50
#define CFG_VFREQ_MAX	300
#define CFG_HSYNC_MIN	0.5
#define CFG_HSYNC_MAX	5





/* EOF */
